commit:     e54b839eb47d4d26278a368c11dc6d6d957663f4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 26 12:43:25 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 14:36:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e54b839e

dev-python/matplotlib: Bump to 3.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/matplotlib/Manifest                     |   1 +
 .../matplotlib/files/matplotlib-3.4.0-test.patch   | 239 ++++++++++++++++++
 dev-python/matplotlib/matplotlib-3.4.0.ebuild      | 280 +++++++++++++++++++++
 3 files changed, 520 insertions(+)

diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index f5d3279805c..534d40f6bb8 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,2 +1,3 @@
 DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 
6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca
 SHA512 
ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
 DIST matplotlib-3.3.4.tar.gz 37941665 BLAKE2B 
77b86dc3ceec3695a0d749197bcec684893d237da1aaf8778d9dc2038da1ba56b757bbce94efcf215ac30f35420b77e0a0e75ebb75b6d2cde5146d8a35ee25e7
 SHA512 
aadfe3db4edde9940b9e15daf1b6c5f237d3a6f38610956ceee994f919d711fce818ea12be4db18aa2a8638c4e8f434d79541fecaa7233e233bf4c73792bc4c4
+DIST matplotlib-3.4.0.tar.gz 37142983 BLAKE2B 
64b23d5b9e93e6b319674cea06d0ad425def952e50e7cb163ae91ae0d4460872bb329144271472b7dc2d0ab0a742c9c93ea735dca60ee4b4aa569cb4350cca0b
 SHA512 
880c1e1027c819a34f5528b96d1b730cdd6541aa23931aef4185406ecec971ec2f4c8ca374eced56e654e016652472f7abcd0aae977dd4f327b8c511983a2a1d

diff --git a/dev-python/matplotlib/files/matplotlib-3.4.0-test.patch 
b/dev-python/matplotlib/files/matplotlib-3.4.0-test.patch
new file mode 100644
index 00000000000..3cedaba4ffc
--- /dev/null
+++ b/dev-python/matplotlib/files/matplotlib-3.4.0-test.patch
@@ -0,0 +1,239 @@
+From d44a24b3744b568fc12209ede6be782babb847b7 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <[email protected]>
+Date: Fri, 26 Mar 2021 13:42:49 +0100
+Subject: [PATCH] Increase image comparison limits
+
+Most of the tests require exact match which apparently doesn't always
+happen in non-pristine environments.  Some of them have very big
+differences due to texlive font rendering changes.
+---
+ lib/matplotlib/tests/test_arrow_patches.py                | 6 +++---
+ lib/matplotlib/tests/test_axes.py                         | 4 ++--
+ lib/matplotlib/tests/test_backend_pgf.py                  | 8 +++++---
+ lib/matplotlib/tests/test_figure.py                       | 5 +++--
+ lib/matplotlib/tests/test_legend.py                       | 6 +++---
+ lib/matplotlib/tests/test_units.py                        | 4 ++--
+ lib/matplotlib/tests/test_usetex.py                       | 3 ++-
+ lib/mpl_toolkits/tests/test_axes_grid1.py                 | 2 +-
+ .../tests/test_axisartist_grid_helper_curvelinear.py      | 2 +-
+ lib/mpl_toolkits/tests/test_mplot3d.py                    | 2 +-
+ 10 files changed, 23 insertions(+), 19 deletions(-)
+
+diff --git a/lib/matplotlib/tests/test_arrow_patches.py 
b/lib/matplotlib/tests/test_arrow_patches.py
+index 3c95535e0..c4fad3486 100644
+--- a/lib/matplotlib/tests/test_arrow_patches.py
++++ b/lib/matplotlib/tests/test_arrow_patches.py
+@@ -67,7 +67,7 @@ def __prepare_fancyarrow_dpi_cor_test():
+ 
+ 
+ @image_comparison(['fancyarrow_dpi_cor_100dpi.png'], remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.02,
++                  tol=0.015 if platform.machine() == 'x86_64' else 0.02,
+                   savefig_kwarg=dict(dpi=100))
+ def test_fancyarrow_dpi_cor_100dpi():
+     """
+@@ -82,7 +82,7 @@ def test_fancyarrow_dpi_cor_100dpi():
+ 
+ 
+ @image_comparison(['fancyarrow_dpi_cor_200dpi.png'], remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.02,
++                  tol=0.018 if platform.machine() == 'x86_64' else 0.02,
+                   savefig_kwarg=dict(dpi=200))
+ def test_fancyarrow_dpi_cor_200dpi():
+     """
+@@ -115,7 +115,7 @@ def test_fancyarrow_dash():
+ 
+ 
+ @image_comparison(['arrow_styles.png'], style='mpl20', remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.005)
++                  tol=0.005)
+ def test_arrow_styles():
+     styles = mpatches.ArrowStyle.get_styles()
+ 
+diff --git a/lib/matplotlib/tests/test_axes.py 
b/lib/matplotlib/tests/test_axes.py
+index ed76af576..772f96177 100644
+--- a/lib/matplotlib/tests/test_axes.py
++++ b/lib/matplotlib/tests/test_axes.py
+@@ -3807,7 +3807,7 @@ def test_hist_labels():
+     assert bars[0].get_label() == '00'
+ 
+ 
+-@image_comparison(['transparent_markers'], remove_text=True)
++@image_comparison(['transparent_markers'], remove_text=True, tol=5)
+ def test_transparent_markers():
+     np.random.seed(0)
+     data = np.random.random(50)
+@@ -4083,7 +4083,7 @@ def test_vertex_markers():
+ 
+ 
+ @image_comparison(['vline_hline_zorder', 'errorbar_zorder'],
+-                  tol=0 if platform.machine() == 'x86_64' else 0.02)
++                  tol=0.015 if platform.machine() == 'x86_64' else 0.02)
+ def test_eb_line_zorder():
+     x = list(range(10))
+ 
+diff --git a/lib/matplotlib/tests/test_backend_pgf.py 
b/lib/matplotlib/tests/test_backend_pgf.py
+index 75f50ecbf..6973a9681 100644
+--- a/lib/matplotlib/tests/test_backend_pgf.py
++++ b/lib/matplotlib/tests/test_backend_pgf.py
+@@ -91,7 +91,8 @@ def test_xelatex():
+ @needs_pdflatex
+ @pytest.mark.skipif(not _has_tex_package('ucs'), reason='needs ucs.sty')
+ @pytest.mark.backend('pgf')
+-@image_comparison(['pgf_pdflatex.pdf'], style='default')
++@image_comparison(['pgf_pdflatex.pdf'], style='default',
++                  tol=11.669)
+ def test_pdflatex():
+     if os.environ.get('APPVEYOR'):
+         pytest.xfail("pdflatex test does not work on appveyor due to missing "
+@@ -127,7 +128,7 @@ def test_rcupdate():
+                 'pgf.preamble': ('\\usepackage[utf8x]{inputenc}'
+                                  '\\usepackage[T1]{fontenc}'
+                                  '\\usepackage{sfmath}')}]
+-    tol = [6, 0]
++    tol = [6, 14]
+     for i, rc_set in enumerate(rc_sets):
+         with mpl.rc_context(rc_set):
+             for substring, pkg in [('sfmath', 'sfmath'), ('utf8x', 'ucs')]:
+@@ -153,7 +154,8 @@ def test_pathclip():
+ # test mixed mode rendering
+ @needs_xelatex
+ @pytest.mark.backend('pgf')
+-@image_comparison(['pgf_mixedmode.pdf'], style='default')
++@image_comparison(['pgf_mixedmode.pdf'], style='default',
++                  tol=1.086)
+ def test_mixedmode():
+     mpl.rcParams.update({'font.family': 'serif', 'pgf.rcfonts': False})
+     Y, X = np.ogrid[-1:1:40j, -1:1:40j]
+diff --git a/lib/matplotlib/tests/test_figure.py 
b/lib/matplotlib/tests/test_figure.py
+index 15f084fc1..14fc6b191 100644
+--- a/lib/matplotlib/tests/test_figure.py
++++ b/lib/matplotlib/tests/test_figure.py
+@@ -21,7 +21,7 @@ import pytest
+ 
+ 
+ @image_comparison(['figure_align_labels'], extensions=['png', 'svg'],
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.02)
+ def test_align_labels():
+     fig = plt.figure(tight_layout=True)
+     gs = gridspec.GridSpec(3, 3)
+@@ -902,7 +902,8 @@ def test_subfigure():
+ 
+ @image_comparison(['test_subfigure_ss.png'], style='mpl20',
+                   savefig_kwarg={'facecolor': 'teal'},
+-                  remove_text=False)
++                  remove_text=False,
++                  tol=0.013)
+ def test_subfigure_ss():
+     # test assigning the subfigure via subplotspec
+     np.random.seed(19680801)
+diff --git a/lib/matplotlib/tests/test_legend.py 
b/lib/matplotlib/tests/test_legend.py
+index cebf26ea0..d7a5c3a88 100644
+--- a/lib/matplotlib/tests/test_legend.py
++++ b/lib/matplotlib/tests/test_legend.py
+@@ -100,7 +100,7 @@ def test_multiple_keys():
+ 
+ 
+ @image_comparison(['rgba_alpha.png'], remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.02)
+ def test_alpha_rgba():
+     fig, ax = plt.subplots()
+     ax.plot(range(10), lw=5)
+@@ -109,7 +109,7 @@ def test_alpha_rgba():
+ 
+ 
+ @image_comparison(['rcparam_alpha.png'], remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.02)
+ def test_alpha_rcparam():
+     fig, ax = plt.subplots()
+     ax.plot(range(10), lw=5)
+@@ -135,7 +135,7 @@ def test_fancy():
+ 
+ 
+ @image_comparison(['framealpha'], remove_text=True,
+-                  tol=0 if platform.machine() == 'x86_64' else 0.02)
++                  tol=0.02)
+ def test_framealpha():
+     x = np.linspace(1, 100, 100)
+     y = x
+diff --git a/lib/matplotlib/tests/test_units.py 
b/lib/matplotlib/tests/test_units.py
+index 3f40a99a2..059a9f9a5 100644
+--- a/lib/matplotlib/tests/test_units.py
++++ b/lib/matplotlib/tests/test_units.py
+@@ -75,7 +75,7 @@ def quantity_converter():
+ # Tests that the conversion machinery works properly for classes that
+ # work as a facade over numpy arrays (like pint)
+ @image_comparison(['plot_pint.png'], remove_text=False, style='mpl20',
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.002 if platform.machine() == 'x86_64' else 0.01)
+ def test_numpy_facade(quantity_converter):
+     # use former defaults to match existing baseline image
+     plt.rcParams['axes.formatter.limits'] = -7, 7
+@@ -102,7 +102,7 @@ def test_numpy_facade(quantity_converter):
+ 
+ # Tests gh-8908
+ @image_comparison(['plot_masked_units.png'], remove_text=True, style='mpl20',
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.02)
+ def test_plot_masked_units():
+     data = np.linspace(-5, 5)
+     data_masked = np.ma.array(data, mask=(data > -2) & (data < 2))
+diff --git a/lib/matplotlib/tests/test_usetex.py 
b/lib/matplotlib/tests/test_usetex.py
+index 2d79e155e..cc46fe00c 100644
+--- a/lib/matplotlib/tests/test_usetex.py
++++ b/lib/matplotlib/tests/test_usetex.py
+@@ -14,7 +14,8 @@ if not mpl.checkdep_usetex(True):
+ @image_comparison(
+     baseline_images=['test_usetex'],
+     extensions=['pdf', 'png'],
+-    style="mpl20")
++    style="mpl20",
++    tol=21)
+ def test_usetex():
+     mpl.rcParams['text.usetex'] = True
+     fig, ax = plt.subplots()
+diff --git a/lib/mpl_toolkits/tests/test_axes_grid1.py 
b/lib/mpl_toolkits/tests/test_axes_grid1.py
+index 0e1602e81..6a54b0d43 100644
+--- a/lib/mpl_toolkits/tests/test_axes_grid1.py
++++ b/lib/mpl_toolkits/tests/test_axes_grid1.py
+@@ -323,7 +323,7 @@ def test_zooming_with_inverted_axes():
+ 
+ 
+ @image_comparison(['anchored_direction_arrows.png'],
+-                  tol=0 if platform.machine() == 'x86_64' else 0.01)
++                  tol=0.02)
+ def test_anchored_direction_arrows():
+     fig, ax = plt.subplots()
+     ax.imshow(np.zeros((10, 10)), interpolation='nearest')
+diff --git a/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py 
b/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
+index 9a78a2676..09300adac 100644
+--- a/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
++++ b/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
+@@ -17,7 +17,7 @@ from mpl_toolkits.axisartist.grid_helper_curvelinear import \
+ 
+ 
+ @image_comparison(['custom_transform.png'], style='default',
+-                  tol=0.03 if platform.machine() == 'x86_64' else 0.04)
++                  tol=0.039)
+ def test_custom_transform():
+     class MyTransform(Transform):
+         input_dims = output_dims = 2
+diff --git a/lib/mpl_toolkits/tests/test_mplot3d.py 
b/lib/mpl_toolkits/tests/test_mplot3d.py
+index f55edaa4a..60687be5b 100644
+--- a/lib/mpl_toolkits/tests/test_mplot3d.py
++++ b/lib/mpl_toolkits/tests/test_mplot3d.py
+@@ -1269,7 +1269,7 @@ def test_errorbar3d():
+ 
+ 
+ @image_comparison(['stem3d.png'], style='mpl20',
+-                  tol=0.0 if platform.machine() == 'x86_64' else 0.003)
++                  tol=0.003)
+ def test_stem3d():
+     fig, axs = plt.subplots(2, 3, figsize=(8, 6),
+                             constrained_layout=True,
+-- 
+2.31.0
+

diff --git a/dev-python/matplotlib/matplotlib-3.4.0.ebuild 
b/dev-python/matplotlib/matplotlib-3.4.0.ebuild
new file mode 100644
index 00000000000..70fc4ea111b
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.4.0.ebuild
@@ -0,0 +1,280 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic virtualx toolchain-funcs prefix
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="https://matplotlib.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+       test? (
+               
https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+       )"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+#      dev-python/pycxx
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+       >=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
+       >=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+       >=dev-python/six-1.14.0[${PYTHON_USEDEP}]
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       media-fonts/dejavu
+       media-fonts/stix-fonts
+       media-libs/freetype:2
+       media-libs/libpng:0
+       >=media-libs/qhull-2013:=
+       cairo? (
+               dev-python/cairocffi[${PYTHON_USEDEP}]
+       )
+       excel? (
+               dev-python/xlwt[${PYTHON_USEDEP}]
+       )
+       gtk3? (
+               dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+               x11-libs/gtk+:3[introspection]
+       )
+       latex? (
+               virtual/latex-base
+               app-text/dvipng
+               app-text/ghostscript-gpl
+               app-text/poppler[utils]
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-xetex
+       )
+       qt5? (
+               dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+       )
+       webagg? (
+               >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+       )
+       wxwidgets? (
+               $(python_gen_cond_dep '
+                       dev-python/wxpython:*[${PYTHON_USEDEP}]
+               ' python3_{6,7,8})
+       )
+"
+
+BDEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+       doc? (
+               >=app-text/dvipng-1.15-r1
+               >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+               >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+               >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+               >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+               >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-fontsrecommended
+               dev-texlive/texlive-latexrecommended
+               >=media-gfx/graphviz-2.42.3[cairo]
+       )
+       test? (
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[cairo?,${PYTHON_USEDEP}]
+               >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+               x11-libs/gtk+:3[introspection]
+       )
+"
+
+# A few C++ source files are written to srcdir.
+# Other than that, the ebuild shall be fit for out-of-source build.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+pkg_setup() {
+       unset DISPLAY # bug #278524
+}
+
+use_supported() {
+       case ${1} in
+               wxwidgets)
+                       [[ ${EPYTHON} == python3.[678] ]]
+                       ;;
+       esac
+
+       return 0
+}
+
+use_setup() {
+       local uword="${2:-${1}}"
+       if use_supported "${1}" && use "${1}"; then
+               echo "${uword} = True"
+               echo "${uword}agg = True"
+       else
+               echo "${uword} = False"
+               echo "${uword}agg = False"
+       fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+#      local PATCHES=(
+#              "${FILESDIR}"/${P}-unbundle-pycxx.patch
+#              "${FILESDIR}"/${P}-unbundle-agg.patch
+#      )
+#      rm -r agg24 CXX || die
+#      rm -r agg24 || die
+
+#      cat > lib/${PN}/externals/six.py <<-EOF
+#      from __future__ import absolute_import
+#      from six import *
+#      EOF
+
+       local PATCHES=(
+               "${FILESDIR}"/matplotlib-3.4.0-test.patch
+               "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+       )
+
+       # requires jupyter-nbconvert
+       rm lib/matplotlib/tests/test_backend_nbagg.py || die
+
+       sed \
+               -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
+               -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
+               || die "sed pyparsing failed"
+
+       sed -e 's:\(@pytest.mark.flaky\)(reruns=3):\1:' \
+               -i lib/matplotlib/tests/test_*.py || die
+
+       hprefixify setupext.py
+
+       rm -rf libqhull || die
+
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       append-flags -fno-strict-aliasing
+       append-cppflags -DNDEBUG  # or get old trying to do triangulation
+       tc-export PKG_CONFIG
+}
+
+python_configure() {
+       mkdir -p "${BUILD_DIR}" || die
+
+       # create setup.cfg (see setup.cfg.template for any changes).
+
+       # common switches.
+       cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+               [directories]
+               basedirlist = ${EPREFIX}/usr
+               [provide_packages]
+               pytz = False
+               dateutil = False
+               [libs]
+               system_freetype = True
+               system_qhull = True
+               [packages]
+               tests = $(usex test True False)
+               [gui_support]
+               agg = True
+               gtk = False
+               gtkagg = False
+               macosx = False
+               pyside = False
+               pysideagg = False
+               qt4 = False
+               qt4agg = False
+               $(use_setup cairo)
+               $(use_setup gtk3)
+               $(use_setup qt5)
+               $(use_setup tk)
+               $(use_setup wxwidgets wx)
+       EOF
+
+       if use gtk3 && use cairo; then
+               echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+       else
+               echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+       fi
+}
+
+wrap_setup() {
+       local MAKEOPTS=-j1
+       local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+       "$@"
+}
+
+python_compile() {
+       wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
+}
+
+python_compile_all() {
+       if use doc; then
+               cd doc || die
+
+               # necessary for in-source build
+               local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
+
+               VARTEXFONTS="${T}"/fonts \
+               emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+       fi
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       # we need to rebuild mpl against bundled freetype, otherwise
+       # over 1000 tests will fail because of mismatched font rendering
+       grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+               > "${BUILD_DIR}"/test-setup.cfg || die
+       local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+       ln -s "${WORKDIR}/freetype-${FT_PV}" "${BUILD_DIR}" || die
+       distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
+       local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+       "${EPYTHON}" -c "import sys, matplotlib as m; 
sys.exit(m.test(argv=['-m', 'not network'], verbosity=2))" || die
+}
+
+python_install() {
+       wrap_setup distutils-r1_python_install
+
+       # mpl_toolkits namespace
+       python_moduleinto mpl_toolkits
+       python_domodule lib/mpl_toolkits/__init__.py
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to